(function ($) {
    'use strict';

    $(document).ready(function () {
        const apiUrlFrm = '#woocommerce_ship2anywhere_rules_api_url';
        const authUrlFrm = '#woocommerce_ship2anywhere_rules_auth_url';
        const countryFrm = '#woocommerce_ship2anywhere_rules_warehouse_country';
        const postCodeFrm = '#woocommerce_ship2anywhere_rules_wh_postcode';
        const suburbFrm = '#woocommerce_ship2anywhere_rules_wh_city';

        const apiUrls = {
            'demo': 'https://api-demo.bbamastro.com',
            'prod': 'https://api.bbamastro.com',
            'uk': 'https://api-uk.bbamastro.com/',
            'us': 'https://api-us.bbamastro.com/'
        };

        const authUrls = {
            'demo': 'https://auth-demo.bbamastro.com/oauth/token',
            'prod': 'https://auth.bbamastro.com/oauth/token',
            'uk': 'https://auth-uk.bbamastro.com/oauth/token',
            'us': 'https://auth-us.bbamastro.com/oauth/token'
        };

        const apiOptions = {
            placeholder: 'Choose an API URL',
            data: [
                { id: apiUrls.demo, text: apiUrls.demo },
                { id: apiUrls.prod, text: apiUrls.prod },
                { id: apiUrls.uk, text: apiUrls.uk },
                { id: apiUrls.us, text: apiUrls.us }
            ]
        };

        $(apiUrlFrm).select2(apiOptions).on('select2:select', function (e) {
            let data = e.params.data;
            switch (data.id) {
                case apiUrls.demo:
                    $(authUrlFrm).val(authUrls.demo)
                    break;
                case apiUrls.prod:
                    $(authUrlFrm).val(authUrls.prod)
                    break;
                case apiUrls.uk: 
                    $(authUrlFrm).val(authUrls.uk);
                    break;
                case apiUrls.us: 
                    $(authUrlFrm).val(authUrls.us)
                    break;
            }

            $(authUrlFrm).prop('readonly', true);
        });

        const url = `${$(apiUrlFrm).val()}/address/country/?enabled=true`;
        $.ajax({
            url: url,
            method: 'GET',
            dataType: 'json',
            success: function (data, status) {
                const countries = data.map(d => {
                    return { id: d.code, text: d.name };
                });

                $(countryFrm).select2({
                    data: countries
                });
            },
            error: function (jqXhr, textStatus, errorMessage) {
                console.log(errorMessage);
            }
        });
    });
})(jQuery);