<?php
class Ship2Anywhere_Custom_Order_Fields_Shop_Order
{
    public function __construct()
    {
        add_action('admin_init', array($this, 'meta_box'));
        add_filter('manage_edit-shop_order_columns', array($this, 'render_column_titles'), 15);
        add_filter('manage_shop_order_posts_custom_column', array($this, 'render_column_contents'), 5);
    }

    public function meta_box()
    {
        add_meta_box(
            SHIP2ANYWHERE_ADMIN_CUSTOM_ORDER_FIELDS,
            __('Ship 2 Anywhere Tracking And Consigment Number', SHIP2ANYWHERE_ADMIN_CUSTOM_ORDER_FIELDS),
            array($this, 'render_metabox'),
            'shop_order',
            'normal',
            'default'
        );
    }

    public function render_metabox()
    {
        global $post;
        $order_fields = Ship2Anywhere_Utility::get_order_fields($post->ID);

        if (empty($order_fields)) {
            return;
        }

        include_once plugin_dir_path(dirname(__FILE__)) . 'admin/partials/ship2anywhere-shop-order-custom-order-fields-partial.php';
    }

    public function render_column_titles($columns)
    {
        $new_columns = [];
        foreach ($columns as $name => $value) {
            if ($name === 'order_actions') {
                prev($columns);
                break;
            }

            $new_columns[$name] = $value;
        }

        foreach (Ship2Anywhere_Utility::get_order_fields() as $order_field) {
            if ($order_field->is_listable()) {
                $new_columns[$order_field->get_meta_key()] = $order_field->$label;
            }
        }

        foreach ($columns as $name => $value) {
            $new_columns[$name] = $value;
        }

        return $new_columns;
    }

    public function render_column_contents($column)
    {
        global $post;
        foreach (Ship2Anywhere_Utility::get_order_fields($post->ID) as $order_field) {
            if ($column === $order_field->get_meta_key()) {
                echo $order_field->get_value_formatted();
                break;
            }
        }
    }
}
