<?php
$settings['enabled'] = array(
    'title' => __('Enable', 'ship2anywhere'),
    'type' => 'checkbox',
    'label' => __('Enable Ship 2 Anywhere shipping methods', 'ship2anywhere'),
    'default' => 'no',
);

$settings['api_credentials'] = array(
    'title' => __('API Credentials', 'ship2anywhere'),
    'type' => 'title',
);

$settings['api_url'] = array(
    'title' => __('API URL', 'ship2anywhere'),
    'type' => 'hidden',
    'default' => '',
    'description' => __('Ship 2 Anywhere API URL.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['auth_url'] = array(
    'title' => __('Auth API URL', 'ship2anywhere'),
    'type' => 'text',
    'default' => '',
    'description' => __('Ship 2 Anywhere Auth API URL.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['acc_username'] = array(
    'title' => __('Username', 'ship2anywhere'),
    'type' => 'text',
    'default' => '',
    'description' => __('Ship 2 Anywhere account username.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['acc_password'] = array(
    'title' => __('Password', 'ship2anywhere'),
    'type' => 'password',
    'default' => '',
    'description' => __('Ship 2 Anywhere account password.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['reseller_id'] = array(
    'type' => 'hidden',
    'default' => '62',
);

$settings['channel'] = array(
    'title' => __('Channel', 'ship2anywhere'),
    'type' => 'text',
    'default' => '',
    'description' => __('Channel that would be use for getting quotes', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['default_currency'] = array(
    'title' => __('Currency'),
    'type' => 'text',
    'description' => __('Default Currency', 'ship2anywhere'),
    'desc_tip' => true

);

$settings['package_settings'] = array(
    'title' => __('Default Package Settings', 'ship2anywhere'),
    'type' => 'title',
);

$settings['default_measure_unit'] = array(
    'title' => __('Measure Unit'),
    'type'  => 'text',
    'description' => __('Default measure unit', 'ship2anywhere'),
    'desc_tip' => true,
    'default' => 'CM'
);

$settings['default_weight_unit'] = array(
    'title' => __('Weight Unit'),
    'type' => 'text',
    'description' => __('Default weight unit', 'ship2anywhere'),
    'desc_tip' => true,
    'default' => 'Kilograms'
);

$settings['default_length'] = array(
    'title' => __('Length', 'ship2anywhere'),
    'type' => 'decimal',
    'default' => '',
    'description' => __('Default package length in cm.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['default_width'] = array(
    'title' => __('Width', 'ship2anywhere'),
    'type' => 'decimal',
    'default' => '',
    'description' => __('Default package width in cm.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['default_height'] = array(
    'title' => __('Height', 'ship2anywhere'),
    'type' => 'decimal',
    'default' => '',
    'description' => __('Default package height in cm.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['default_weight'] = array(
    'title' => __('Weight', 'ship2anywhere'),
    'type' => 'decimal',
    'default' => '',
    'description' => __('Default package weight in kg.', 'ship2anywhere'),
    'desc_tip' => true,
);

$settings['excluded_categories'] = array(
    'type' => 'hidden',
);

$settings['warehouse_details'] = array(
    'title' => __('Warehouse Details', 'ship2anywhere'),
    'type' => 'title',
);

$settings['warehouse_country'] = array(
    'title' => __('Country', 'ship2anywhere'),
    'placeholder' => 'Choose a country',
    'type' => 'hidden',
    'css' => 'min-width:350px;',
);

$settings['wh_postcode'] = array(
    'title' => __('Postcode', 'ship2anywhere'),
    'placeholder' => __('Choose a postcode', 'ship2anywhere'),
    'type' => 'text',
    'css' => 'min-width:350px;',
    'default' => '',
);

$settings['wh_city'] = array(
    'title' => __('Suburb', 'ship2anywhere'),
    'placeholder' => __('Choose a suburb', 'ship2anywhere'),
    'type' => 'text',
    'css' => 'min-width:350px;',
    'default' => '',
);
return $settings;
