<?php
class Ship2Anywhere_Public
{
    private $plugin_name;
    private $version;

    public function __construct($plugin_name, $version)
    {
        $this->plugin_name = $plugin_name;
        $this->version = $version;
    }

    public function enqueue_styles()
    {
        wp_enqueue_style($this->plugin_name, plugin_dir_url(__FILE__) . 'css/ship2anywhere-public.css', array(), $this->version, 'all');
    }

    public function enqueue_scripts()
    {
        wp_enqueue_script($this->plugin_name, plugin_dir_url(__FILE__) . 'js/ship2anywhere-public.js', array('jquery', $this->version, false));
    }

    public function on_plugin_loaded()
    {
        if (!session_id()) {
            session_start();
        }

        $apiInstance = new Ship2Anywhere_Api();
        $_SESSION[SHIP2ANYWHERE_TOKEN] = $apiInstance->authenticate();
        
        if (Ship2Anywhere_Utility::is_woocommerce_enabled()) {
            add_filter('woocommerce_default_address_fields', array($this, 'reorder_checkout_fields'));
        }
    }

    public function reorder_checkout_fields($address_fields)
    {
        $fields_array = array(
            'company',
            'first_name',
            'last_name',
            'address_1',
            'address_2',
            'country',
            'state',
            'city',
            'postcode',
            'phone',
            'email',
        );

        for ($i = 0; $i < count($fields_array); $i++) {
            $priority = $i * 10;
            $address_fields[$fields_array[$i]]['priority'] = $priority;
        }

        return $address_fields;
    }
}
