<?php
/**
 * Plugin Name: Ship2Anywhere
 * Description: Multi Carrier Shipping and Logistics Technology able to seamlessly integrate into your Woo cart.
 * Version: 1.0.1
 * Author: Ship2Anywhere
 * Author URI: https://ship2anywhere.com
 * @package Ship2Anywhere
 * @category Core
 */

// Exit if accessed directly
if (!defined('WPINC')) {
    die;
}

define('SHIP2ANYWHERE_VERSION', '1.0.1');
define('SHIP2ANYWHERE_PLUGIN_BASE_NAME', plugin_basename(__FILE__));
define('SHIP2ANYWHERE_RULES', 'ship2anywhere_rules');
define('SHIP2ANYWHERE_COMPANY_NAME', 'Ship2Anwhere');
define('SHIP2ANYWHERE_RULES_SETTINGS', 'woocommerce_ship2anywhere_rules_settings');
define('SHIP2ANYWHERE_TOKEN', 'ship2anywhere_token');
define('SHIP2ANYWHERE_ADMIN_CUSTOM_ORDER_FIELDS', 'ship2anywhere_custom_order_fields');
define('SHIP2ANYWHERE_ADMIN_CUSTOM_ORDER_FIELD_NEXT_FIELD_ID', 'ship2anywhere_custom_order_field_next_field_id');
define('SHIP2ANYWHERE_ADMIN_CUSTOM_ORDER_FIELDS_FIELD_LABEL', 'ship2anywhere_admin_custom_order_fields_field_label');
define('SHIP2ANYWHERE_ADMIN_CUSTOMER_ORDER_FIELDS_VALUE_FORMATTED', 'ship2anywhere_admin_custom_order_fields_field_value_formatted');
define('SHIP2ANYWHERE_ADMIN_CUSTOM_ORDER_FIELD_OPTIONS', 'ship2anywhere_admin_custom_order_field_options');

function activate_ship2anywhere()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-ship2anywhere-activator.php';
    Ship2Anywhere_Activator::activate();
}

function deactivate_ship2anywhere()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-ship2anywhere-deactivator.php';
    Ship2Anywhere_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_ship2anywhere');
register_deactivation_hook(__FILE__, 'deactivate_ship2anywhere');

require plugin_dir_path(__FILE__) . 'includes/class-ship2anywhere.php';

function run_ship2anywhere()
{
    $plugin = new Ship2Anywhere();
    $plugin->run();
}

run_ship2anywhere();
